| DocBook: The Definitive Guide 2.0.17 (Alpha)

# interface

$Revision$

$Date$

interface — An element of a GUI

## Synopsis

### Mixed Content Model

    interface ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage|accel)*

### Attributes

Common attributes

Name | Type | Default

moreinfo

Enumeration:
none
refentry

"none"

## Description

An `Interface` identifies some part of a graphical user interface. This element became obsolete in DocBook V3.0 with the introduction of `GUIButton`, `GUIIcon`, `GUILabel`, `GUIMenu`, `GUIMenuItem`, and `GUISubMenu`.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information.

### Future Changes

In DocBook V4.0, the `Class` attribute will be dropped from `Interface`. Use one of the GUI* tags instead or subclass locally with the `Role` attribute.

The content model of `Interface` will also be constrained to `(#PCDATA | Replaceable | InlineGraphic)`.

### Parents

These elements contain interface: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `code`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `menuchoice`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in interface: `accel`, `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## Attributes

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `Interface`.

## See Also

`classname`, `property`, `structfield`, `structname`, `symbol`, `token`, `type`.

inlinemediaobject |  | interfacename

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.